#include "investigationmanager.h"
#include <QSplitter>
#include <QVBoxLayout>
InvestigationManager::InvestigationManager(QWidget *parent) :
        QWidget(parent)
{


    mCentreSelector = new CentreSelector;
    mCentreForm = new CentreForm;
    mCentrePatientTableWidget = new CentrePatientTableWidget;
    mCentreAnnuaireTableWidget= new CentreAnnuaireTableWidget;

    mTabWidget = new QTabWidget;
    QSplitter * mainSplitter = new QSplitter(Qt::Horizontal);
    QSplitter * subSplitter = new QSplitter(Qt::Vertical);

    mTabWidget->addTab(mCentreForm,"information");
    mTabWidget->addTab(mCentrePatientTableWidget,"patients");
    mTabWidget->addTab(mCentreAnnuaireTableWidget,"intervenants");


    subSplitter->addWidget(mTabWidget);
    subSplitter->addWidget(new QWidget);

    mainSplitter->addWidget(mCentreSelector);
    mainSplitter->addWidget(subSplitter);

    QVBoxLayout * layout = new QVBoxLayout;
    layout->addWidget(mainSplitter);


    setLayout(layout);

mCentrePatientTableWidget->loadFromCentre(14);
mCentreAnnuaireTableWidget->loadFromCentre(1);

}
